Debian Bug report logs - #684654
[fglrx-legacy-driver] Xorg shows blank screen with fglrx legacy driver

version graph

Package: fglrx-legacy-driver; Maintainer for fglrx-legacy-driver is Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>; Source for fglrx-legacy-driver is src:fglrx-legacy-driver.

Reported by: Beojan Stanislaus <beojan@lavabit.com>

Date: Sun, 12 Aug 2012 14:27:02 UTC

Severity: important

Tags: moreinfo

Merged with 684655

Found in versions fglrx-legacy-driver/8.97.100.3-1, fglrx-legacy-driver/8.97.100.3+1-1

Forwarded to http://ati.cchtml.com/show_bug.cgi?id=586

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#684654; Package fglrx-legacy-driver. (Sun, 12 Aug 2012 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Beojan Stanislaus <beojan@lavabit.com>:
New Bug report received and forwarded. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 12 Aug 2012 14:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Beojan Stanislaus <beojan@lavabit.com>
To: submit@bugs.debian.org
Subject: [fglrx-legacy-driver] Xorg shows blank screen with fglrx legacy driver
Date: Sun, 12 Aug 2012 15:05:06 +0100
Package: fglrx-legacy-driver
Version: 8.97.100.3
Severity: grave

--- Please enter the report below this line. ---
With the fglrx driver installed and enabled, starting X gives a completely 
blank black screen. It is not possible to use the ctrl-alt-f1 sequence to 
return to the virtual console.

/etc/X11/xorg.conf:
------------------------------------------------------------------------------------
Section "ServerLayout"
	Identifier     "aticonfig Layout"
	Screen      0  "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
	Identifier   "aticonfig-Monitor[0]-0"
	Option	    "VendorName" "ATI Proprietary Driver"
	Option	    "ModelName" "Generic Autodetecting Monitor"
	Option	    "DPMS" "true"
EndSection

Section "Device"
	Identifier  "aticonfig-Device[0]-0"
	Driver      "fglrx"
	BusID       "PCI:1:5:0"
EndSection

Section "Screen"
	Identifier "aticonfig-Screen[0]-0"
	Device     "aticonfig-Device[0]-0"
	Monitor    "aticonfig-Monitor[0]-0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

------------------------------------------------------------------------------------
/var/log/Xorg.0.log:
------------------------------------------------------------------------------------
[    45.778] 
X.Org X Server 1.12.3
Release Date: 2012-07-09
[    45.778] X Protocol Version 11, Revision 0
[    45.778] Build Operating System: Linux 3.2.0-3-amd64 x86_64 Debian
[    45.778] Current Operating System: Linux beojan-pc 3.4-trunk-rt-amd64 #1 
SMP PREEMPT RT Tue Jun 26 18:13:11 UTC 2012 x86_64
[    45.778] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.4-trunk-rt-amd64 
root=UUID=54b07f11-2af1-4d03-afe1-877f55b715d9 ro nomodeset radeon.modeset=0
[    45.778] Build Date: 18 July 2012  08:00:38AM
[    45.778] xorg-server 2:1.12.3-1 (Julien Cristau <jcristau@debian.org>) 
[    45.778] Current version of pixman: 0.26.0
[    45.778] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    45.778] Markers: (--) probed, (**) from config file, (==) default 
setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    45.779] (==) Log file: "/var/log/Xorg.0.log", Time: Sun Aug 12 14:41:23 
2012
[    45.956] (==) Using config file: "/etc/X11/xorg.conf"
[    45.956] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    46.392] (==) ServerLayout "aticonfig Layout"
[    46.392] (**) |-->Screen "aticonfig-Screen[0]-0" (0)
[    46.392] (**) |   |-->Monitor "aticonfig-Monitor[0]-0"
[    46.393] (**) |   |-->Device "aticonfig-Device[0]-0"
[    46.393] (==) Automatically adding devices
[    46.393] (==) Automatically enabling devices
[    46.537] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not 
exist.
[    46.537] 	Entry deleted from font path.
[    46.901] (WW) The directory "/var/lib/defoma/x-ttcidfont-
conf.d/dirs/TrueType" does not exist.
[    46.901] 	Entry deleted from font path.
[    46.901] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	built-ins
[    46.901] (==) ModulePath set to "/usr/lib/xorg/modules"
[    46.901] (II) The server relies on udev to provide the list of input 
devices.
	If no devices become available, reconfigure udev or disable 
AutoAddDevices.
[    46.901] (II) Loader magic: 0x7f70b972dae0
[    46.901] (II) Module ABI versions:
[    46.901] 	X.Org ANSI C Emulation: 0.4
[    46.901] 	X.Org Video Driver: 12.0
[    46.901] 	X.Org XInput driver : 16.0
[    46.901] 	X.Org Server Extension : 6.0
[    46.902] (--) PCI:*(0:1:5:0) 1002:9712:1025:0293 rev 0, Mem @ 
0xd0000000/268435456, 0xcfdf0000/65536, 0xcfe00000/1048576, I/O @ 
0x00009000/256
[    46.902] (II) Open ACPI successful (/var/run/acpid.socket)
[    46.902] (II) "extmod" will be loaded by default.
[    46.902] (II) "dbe" will be loaded by default.
[    46.902] (II) "glx" will be loaded by default.
[    46.902] (II) "record" will be loaded by default.
[    46.902] (II) "dri" will be loaded by default.
[    46.902] (II) "dri2" will be loaded by default.
[    46.902] (II) LoadModule: "extmod"
[    47.068] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    47.195] (II) Module extmod: vendor="X.Org Foundation"
[    47.195] 	compiled for 1.12.3, module version = 1.0.0
[    47.195] 	Module class: X.Org Server Extension
[    47.195] 	ABI class: X.Org Server Extension, version 6.0
[    47.195] (II) Loading extension SELinux
[    47.195] (II) Loading extension MIT-SCREEN-SAVER
[    47.195] (II) Loading extension XFree86-VidModeExtension
[    47.195] (II) Loading extension XFree86-DGA
[    47.195] (II) Loading extension DPMS
[    47.195] (II) Loading extension XVideo
[    47.195] (II) Loading extension XVideo-MotionCompensation
[    47.195] (II) Loading extension X-Resource
[    47.195] (II) LoadModule: "dbe"
[    47.196] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    47.215] (II) Module dbe: vendor="X.Org Foundation"
[    47.215] 	compiled for 1.12.3, module version = 1.0.0
[    47.215] 	Module class: X.Org Server Extension
[    47.215] 	ABI class: X.Org Server Extension, version 6.0
[    47.215] (II) Loading extension DOUBLE-BUFFER
[    47.215] (II) LoadModule: "glx"
[    47.215] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[    47.273] (II) Module glx: vendor="Advanced Micro Devices, Inc."
[    47.273] 	compiled for 6.9.0, module version = 1.0.0
[    47.273] (II) Loading extension GLX
[    47.273] (II) LoadModule: "record"
[    47.274] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    47.400] (II) Module record: vendor="X.Org Foundation"
[    47.401] 	compiled for 1.12.3, module version = 1.13.0
[    47.401] 	Module class: X.Org Server Extension
[    47.401] 	ABI class: X.Org Server Extension, version 6.0
[    47.401] (II) Loading extension RECORD
[    47.401] (II) LoadModule: "dri"
[    47.401] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    47.443] (II) Module dri: vendor="X.Org Foundation"
[    47.443] 	compiled for 1.12.3, module version = 1.0.0
[    47.443] 	ABI class: X.Org Server Extension, version 6.0
[    47.443] (II) Loading extension XFree86-DRI
[    47.443] (II) LoadModule: "dri2"
[    47.443] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    47.504] (II) Module dri2: vendor="X.Org Foundation"
[    47.504] 	compiled for 1.12.3, module version = 1.2.0
[    47.504] 	ABI class: X.Org Server Extension, version 6.0
[    47.504] (II) Loading extension DRI2
[    47.504] (II) LoadModule: "fglrx"
[    47.648] (II) Loading /usr/lib/xorg/modules/drivers/fglrx_drv.so
[    48.570] (II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
[    48.570] 	compiled for 1.4.99.906, module version = 8.97.2
[    48.570] 	Module class: X.Org Video Driver
[    48.574] (II) Loading sub module "fglrxdrm"
[    48.574] (II) LoadModule: "fglrxdrm"
[    48.574] (II) Loading /usr/lib/xorg/modules/linux/libfglrxdrm.so
[    48.827] (II) Module fglrxdrm: vendor="FireGL - ATI Technologies Inc."
[    48.827] 	compiled for 1.4.99.906, module version = 8.97.2
[    48.827] (II) ATI Proprietary Linux Driver Version Identifier:8.97.2
[    48.827] (II) ATI Proprietary Linux Driver Release Identifier: 
UNSUPPORTED-8.97.100.3               
[    48.827] (II) ATI Proprietary Linux Driver Build Date: Jul  3 2012 
23:56:30
[    48.827] (++) using VT number 7

[    48.833] (WW) Falling back to old probe method for fglrx
[    49.178] (II) Loading PCS database from /etc/ati/amdpcsdb
[    49.202] (--) Chipset Supported AMD Graphics Processor (0x9712) found
[    49.223] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:17:0) found
[    49.223] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:18:0) found
[    49.223] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:18:1) found
[    49.223] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:18:2) found
[    49.223] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:19:0) found
[    49.223] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:19:1) found
[    49.223] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:19:2) found
[    49.223] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:20:0) found
[    49.223] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:20:2) found
[    49.224] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:20:3) found
[    49.224] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@0:20:4) found
[    49.224] (WW) fglrx: No matching Device section for instance (BusID 
PCI:0@1:5:1) found
[    49.225] (II) AMD Video driver is running on a device belonging to a group 
targeted for this release
[    49.226] (II) AMD Video driver is unsigned
[    49.226] (II) fglrx(0): pEnt->device->identifier=0x7f70b987ebe0
[    49.226] (II) fglrx(0): === [xdl_xs112_atiddxPreInit] === begin
[    49.227] (II) Loading sub module "vgahw"
[    49.227] (II) LoadModule: "vgahw"
[    49.436] (II) Loading /usr/lib/xorg/modules/libvgahw.so
[    49.451] (II) Module vgahw: vendor="X.Org Foundation"
[    49.451] 	compiled for 1.12.3, module version = 0.1.0
[    49.451] 	ABI class: X.Org Video Driver, version 12.0
[    49.451] (**) fglrx(0): Depth 24, (--) framebuffer bpp 32
[    49.451] (II) fglrx(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp 
pixmaps)
[    49.451] (==) fglrx(0): Default visual is TrueColor
[    49.452] (**) fglrx(0): Option "DPMS" "true"
[    49.452] (==) fglrx(0): RGB weight 888
[    49.452] (II) fglrx(0): Using 8 bits per RGB 
[    49.452] (==) fglrx(0): Buffer Tiling is ON
[    49.463] (II) Loading sub module "fglrxdrm"
[    49.463] (II) LoadModule: "fglrxdrm"
[    49.463] (II) Loading /usr/lib/xorg/modules/linux/libfglrxdrm.so
[    49.463] (II) Module fglrxdrm: vendor="FireGL - ATI Technologies Inc."
[    49.463] 	compiled for 1.4.99.906, module version = 8.97.2
[    49.470] ukiDynamicMajor: found major device number 251
[    49.471] ukiDynamicMajor: found major device number 251
[    49.471] ukiOpenByBusid: Searching for BusID PCI:1:5:0
[    49.471] ukiOpenDevice: node name is /dev/ati/card0
[    49.471] ukiOpenDevice: open result is 12, (OK)
[    49.471] ukiOpenByBusid: ukiOpenMinor returns 12
[    49.471] ukiOpenByBusid: ukiGetBusid reports PCI:1:5:0
[    49.471] (**) fglrx(0): NoAccel = NO
[    49.472] (**) fglrx(0): ATI 2D Acceleration Architecture enabled
[    49.472] (--) fglrx(0): Chipset: "ATI Mobility Radeon HD 4200 Series" 
(Chipset = 0x9712)
[    49.472] (--) fglrx(0): (PciSubVendor = 0x1025, PciSubDevice = 0x0293)
[    49.472] (==) fglrx(0): board vendor info: third party graphics adapter - 
NOT original ATI
[    49.472] (--) fglrx(0): Linear framebuffer (phys) at 0xd0000000
[    49.472] (--) fglrx(0): MMIO registers at 0xcfdf0000
[    49.472] (--) fglrx(0): I/O port at 0x00009000
[    49.472] (==) fglrx(0): ROM-BIOS at 0x000c0000
[    49.664] (II) fglrx(0): ATIF platform detected
[    49.666] (II) fglrx(0): AC Adapter is used
[    49.707] (II) fglrx(0): Primary V_BIOS segment is: 0xc000
[    49.825] (II) Loading sub module "vbe"
[    49.825] (II) LoadModule: "vbe"
[    49.826] (II) Loading /usr/lib/xorg/modules/libvbe.so
[    49.886] (II) Module vbe: vendor="X.Org Foundation"
[    49.886] 	compiled for 1.12.3, module version = 1.1.0
[    49.886] 	ABI class: X.Org Video Driver, version 12.0
[    50.005] (II) fglrx(0): VESA BIOS detected
[    50.005] (II) fglrx(0): VESA VBE Version 3.0
[    50.005] (II) fglrx(0): VESA VBE Total Mem: 16384 kB
[    50.005] (II) fglrx(0): VESA VBE OEM: ATI ATOMBIOS
[    50.006] (II) fglrx(0): VESA VBE OEM Software Rev: 10.94
[    50.006] (II) fglrx(0): VESA VBE OEM Vendor: (C) 1988-2005, ATI 
Technologies Inc. 
[    50.006] (II) fglrx(0): VESA VBE OEM Product: RS880M
[    50.006] (II) fglrx(0): VESA VBE OEM Product Rev: 01.00
[    50.023] (II) fglrx(0): ATI Video BIOS revision 9 or later detected
[    50.023] (--) fglrx(0): Video RAM: 262144 kByte, Type: DDR2
[    50.023] (II) fglrx(0): PCIE card detected
[    50.023] (--) fglrx(0): Using per-process page tables (PPPT) as GART.
[    50.023] (WW) fglrx(0): board is an unknown third party board, chipset is 
supported
[    50.025] (II) fglrx(0): Using adapter: 1:5.0.
[    50.041] (II) fglrx(0): [FB] MC range(MCFBBase = 0xc0000000, MCFBSize = 
0x10000000)
[    50.282] (II) fglrx(0): Interrupt handler installed at IRQ 18.
[    50.282] (II) fglrx(0): RandR 1.2 support is enabled!
[    50.282] (II) fglrx(0): RandR 1.2 rotation support is enabled!
[    50.282] (==) fglrx(0): Center Mode is disabled 
[    50.282] (II) Loading sub module "fb"
[    50.282] (II) LoadModule: "fb"
[    50.283] (II) Loading /usr/lib/xorg/modules/libfb.so
[    50.309] (II) Module fb: vendor="X.Org Foundation"
[    50.309] 	compiled for 1.12.3, module version = 1.0.0
[    50.309] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    50.309] (II) Loading sub module "ddc"
[    50.309] (II) LoadModule: "ddc"
[    50.309] (II) Module "ddc" already built-in
------------------------------------------------------------------------------------
Output of dmesg | grep fglrx:
------------------------------------------------------------------------------------
[    6.987557] fglrx: module license 'Proprietary. (C) 2002 - ATI 
Technologies, Starnberg, GERMANY' taints kernel.
[    6.997870] [fglrx] Maximum main memory to use for locked dma buffers: 3552 
MBytes.
[    6.998182] [fglrx]   vendor: 1002 device: 9712 count: 1
[    6.999905] [fglrx] ioport: bar 1, base 0x9000, size: 0x100
[    7.001424] [fglrx] Kernel PAT support is enabled
[    7.001539] [fglrx] module loaded - fglrx 8.97.2 [Jul  4 2012] with 1 
minors
------------------------------------------------------------------------------------

--- System information. ---
Architecture: 
Kernel:       Linux 3.4-trunk-rt-amd64

Debian Release: wheezy/sid
  500 unstable        qgis.org 
  500 unstable        ftp.uk.debian.org 
  500 stable          dl.google.com 
  100 experimental-snapshots qt-kde.debian.net 
    1 experimental    ftp.uk.debian.org 

--- Package information. ---
Package's Depends field is empty.

Package's Recommends field is empty.

Package's Suggests field is empty.







Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#684654; Package fglrx-legacy-driver. (Sun, 12 Aug 2012 17:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 12 Aug 2012 17:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 684654@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Beojan Stanislaus <beojan@lavabit.com>, 684654@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#684654: [fglrx-legacy-driver] Xorg shows blank screen with fglrx legacy driver
Date: Sun, 12 Aug 2012 19:12:04 +0200
Control: merge 684654 684655

> Kernel:       Linux 3.4-trunk-rt-amd64

Please try the 3.2 kernel from wheezy/sid and the non-rt flavor.

Andreas



Marked as found in versions fglrx-legacy-driver/8.97.100.3-1. Request was from Andreas Beckmann <debian@abeckmann.de> to 684654-submit@bugs.debian.org. (Sun, 12 Aug 2012 17:15:06 GMT) Full text and rfc822 format available.

Merged 684654 684655 Request was from Andreas Beckmann <debian@abeckmann.de> to 684654-submit@bugs.debian.org. (Sun, 12 Aug 2012 17:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#684654; Package fglrx-legacy-driver. (Sun, 12 Aug 2012 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Beojan Stanislaus <beojan@lavabit.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 12 Aug 2012 18:36:03 GMT) Full text and rfc822 format available.

Message #19 received at 684654@bugs.debian.org (full text, mbox):

From: Beojan Stanislaus <beojan@lavabit.com>
To: 684654@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#684654: [fglrx-legacy-driver] Xorg shows blank screen with fglrx legacy driver
Date: Sun, 12 Aug 2012 19:03:23 +0100
On Sunday 12 August 2012 19:12:04 Andreas Beckmann wrote:

> > Kernel:       Linux 3.4-trunk-rt-amd64
> 
> Please try the 3.2 kernel from wheezy/sid and the non-rt flavor.
> 
> Andreas

I have, and the bug described persists.




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#684654; Package fglrx-legacy-driver. (Mon, 13 Aug 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Mon, 13 Aug 2012 13:45:03 GMT) Full text and rfc822 format available.

Message #24 received at 684654@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Beojan Stanislaus <beojan@lavabit.com>, 684654@bugs.debian.org
Subject: Re: Bug#684654: [fglrx-legacy-driver] Xorg shows blank screen with fglrx legacy driver
Date: Mon, 13 Aug 2012 15:42:55 +0200
Control: severity 684654 important

Hi Beojan,

On 2012-08-12 20:03, Beojan Stanislaus wrote:
> On Sunday 12 August 2012 19:12:04 Andreas Beckmann wrote:
>> Please try the 3.2 kernel from wheezy/sid and the non-rt flavor.
> I have, and the bug described persists.

Please report this problem to AMD:
http://ati.cchtml.com/

This does not look like a packaging problem, so there is not much we can
do about this in Debian. On the other hand we got several reports of
people successfully running the legacy driver, so I'm downgrading the
severity of this bug to important.

You might also try the older Xorg versions available in
squeeze-backports (or even squeeze).


Andreas



Severity set to 'important' from 'grave' Request was from Andreas Beckmann <debian@abeckmann.de> to 684654-submit@bugs.debian.org. (Mon, 13 Aug 2012 13:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#684654; Package fglrx-legacy-driver. (Fri, 24 Aug 2012 14:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Fri, 24 Aug 2012 14:45:12 GMT) Full text and rfc822 format available.

Message #31 received at 684654@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: 684654@bugs.debian.org
Subject: Re: Bug#684654: [fglrx-legacy-driver] Xorg shows blank screen on HD 4200 mobile
Date: Fri, 24 Aug 2012 15:37:03 +0100
I'm just adding another anecd^Wdata point that I also have an ATI RS880M
(Mobility Radeon HD 4200) and experience a blank screen with the 12.6
legacy driver.  Like the OP, my X hangs after loading module ddc but
before probing the displays.

I've added my logs to the OP's bug at http://ati.cchtml.com/show_bug.cgi?id=586

Nick



Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#684654; Package fglrx-legacy-driver. (Mon, 10 Sep 2012 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Mon, 10 Sep 2012 13:54:03 GMT) Full text and rfc822 format available.

Message #36 received at 684654@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Nick Leverton <nick@leverton.org>, 684654@bugs.debian.org
Subject: Re: Bug#684654: [fglrx-legacy-driver] Xorg shows blank screen on HD 4200 mobile
Date: Mon, 10 Sep 2012 15:50:35 +0200
Control: forwarded -1 http://ati.cchtml.com/show_bug.cgi?id=586
Control: notfound -1 8.97.100.3
Control: found -1 fglrx-legacy-driver/8.97.100.3+1-1

On 2012-08-24 16:37, Nick Leverton wrote:
> I've added my logs to the OP's bug at http://ati.cchtml.com/show_bug.cgi?id=586

Thanks, marking as forwarded. Unfortunately the bugzilla log indicates
that this won't be fixed by the "legacy release" that I'll upload soon.

Andreas



Set Bug forwarded-to-address to 'http://ati.cchtml.com/show_bug.cgi?id=586'. Request was from Andreas Beckmann <debian@abeckmann.de> to 684654-submit@bugs.debian.org. (Mon, 10 Sep 2012 13:54:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions fglrx-legacy-driver/8.97.100.3-1 and 8.97.100.3. Request was from Andreas Beckmann <debian@abeckmann.de> to 684654-submit@bugs.debian.org. (Mon, 10 Sep 2012 13:54:04 GMT) Full text and rfc822 format available.

Marked as found in versions fglrx-legacy-driver/8.97.100.3+1-1. Request was from Andreas Beckmann <debian@abeckmann.de> to 684654-submit@bugs.debian.org. (Mon, 10 Sep 2012 13:54:05 GMT) Full text and rfc822 format available.

Marked as found in versions fglrx-legacy-driver/8.97.100.3-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 10 Sep 2012 14:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#684654; Package fglrx-legacy-driver. (Fri, 15 Feb 2013 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Fri, 15 Feb 2013 16:45:06 GMT) Full text and rfc822 format available.

Message #49 received at 684654@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Beojan Stanislaus <beojan@lavabit.com>, 684654@bugs.debian.org
Cc: Nick Leverton <nick@leverton.org>
Subject: Re: Bug#684654: Xorg shows blank screen with fglrx legacy driver
Date: Fri, 15 Feb 2013 17:40:06 +0100
On 2012-08-12 16:05, Beojan Stanislaus wrote:
> With the fglrx driver installed and enabled, starting X gives a completely 
> blank black screen. It is not possible to use the ctrl-alt-f1 sequence to 
> return to the virtual console.

I just uploaded fglrx-legacy-driver 8.97.100.7-1 (thats the 13.1
release) to experimental - please try it. There is no upstream
changelog, so we don't know what changed.


Andreas



Added tag(s) moreinfo. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2013 19:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#684654; Package fglrx-legacy-driver. (Sat, 16 Feb 2013 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sat, 16 Feb 2013 19:03:06 GMT) Full text and rfc822 format available.

Message #56 received at 684654@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 684654@bugs.debian.org
Subject: Fwd: Re: Bug#684654: Xorg shows blank screen with fglrx legacy driver
Date: Sat, 16 Feb 2013 20:01:49 +0100
Version: 8.97.100.7-1

-------- Original Message --------
Subject: Re: Bug#684654: Xorg shows blank screen with fglrx legacy driver
Date: Sat, 16 Feb 2013 18:55:47 +0000
From: Beojan Stanislaus <beojan@lavabit.com>
To: Andreas Beckmann <anbe@debian.org>

On Friday 15 February 2013 17:40:06 you wrote:
> On 2012-08-12 16:05, Beojan Stanislaus wrote:
> > With the fglrx driver installed and enabled, starting X gives a completely
> > blank black screen. It is not possible to use the ctrl-alt-f1 sequence to
> > return to the virtual console.
> 
> I just uploaded fglrx-legacy-driver 8.97.100.7-1 (thats the 13.1
> release) to experimental - please try it. There is no upstream
> changelog, so we don't know what changed.
> 
> 
> Andreas
Thank you, but it hasn't fixed this bug.

Sincerely,

Beojan Stanislaus




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:52:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.